Bug 989055 - [abrt] qt-devel-4.8.4-19.fc19: __pthread_mutex_lock: Process /usr/bin/designer-qt4 was killed by signal 11 (SIGSEGV)
[abrt] qt-devel-4.8.4-19.fc19: __pthread_mutex_lock: Process /usr/bin/designe...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:2b9985e97ec47d61f998aa1dade...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-27 04:14 EDT by Vincenzo Pupillo
Modified: 2013-08-06 11:16 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-06 11:16:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.48 KB, text/plain)
2013-07-27 04:15 EDT, Vincenzo Pupillo
no flags Details
File: cgroup (162 bytes, text/plain)
2013-07-27 04:15 EDT, Vincenzo Pupillo
no flags Details
File: core_backtrace (5.18 KB, text/plain)
2013-07-27 04:15 EDT, Vincenzo Pupillo
no flags Details
File: dso_list (23.77 KB, text/plain)
2013-07-27 04:15 EDT, Vincenzo Pupillo
no flags Details
File: environ (4.78 KB, text/plain)
2013-07-27 04:15 EDT, Vincenzo Pupillo
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-27 04:15 EDT, Vincenzo Pupillo
no flags Details
File: maps (114.03 KB, text/plain)
2013-07-27 04:15 EDT, Vincenzo Pupillo
no flags Details
File: open_fds (567 bytes, text/plain)
2013-07-27 04:15 EDT, Vincenzo Pupillo
no flags Details
File: proc_pid_status (957 bytes, text/plain)
2013-07-27 04:15 EDT, Vincenzo Pupillo
no flags Details
File: var_log_messages (342 bytes, text/plain)
2013-07-27 04:15 EDT, Vincenzo Pupillo
no flags Details

  None (edit)
Description Vincenzo Pupillo 2013-07-27 04:14:56 EDT
Description of problem:
The crash occurs just after running qtdesigner. The same problem occurs when try to run qtcreator and try to
run 'make xconfig' in a clean vanilla kernel source tree. Make xconfig try to build and run a kernel configuration gui qt-based. 
[ 1515.496510] qtcreator[21804]: segfault at 30 ip 00000039afc09a70 sp 00007fff4728a1e8 error 4 in libpthread-2.17.so[39afc00000+16000]
[ 1711.237624] qconf[22505]: segfault at 30 ip 00000039afc09a70 sp 00007fffb028fc58 error 4 in libpthread-2.17.so[39afc00000+16000]
[ 2016.079557] designer-qt4[23614]: segfault at 7f00534c4f53 ip 00000039afc09a70 sp 00007fffb4df19e8 error 4 in libpthread-2.17.so[39afc00000+16000]

Version-Release number of selected component:
qt-devel-4.8.4-19.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        designer-qt4
crash_function: __pthread_mutex_lock
executable:     /usr/bin/designer-qt4
kernel:         3.9.11
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __pthread_mutex_lock at pthread_mutex_lock.c:50
 #1 XrmQGetResource at Xrm.c:2549
 #2 XGetDefault at GetDflt.c:231
 #3 _XcursorGetDisplayInfo at display.c:151
 #4 XcursorGetDefaultSize at display.c:324
 #5 XcursorLibraryLoadCursor at library.c:320
 #6 QCursorData::update at kernel/qcursor_x11.cpp:294
 #7 QCursor::handle at kernel/qcursor_x11.cpp:148
 #8 qt_x11_enforce_cursor at kernel/qwidget_x11.cpp:333
 #10 QWidgetPrivate::create_sys at kernel/qwidget_x11.cpp:890
Comment 1 Vincenzo Pupillo 2013-07-27 04:15:02 EDT
Created attachment 779008 [details]
File: backtrace
Comment 2 Vincenzo Pupillo 2013-07-27 04:15:08 EDT
Created attachment 779009 [details]
File: cgroup
Comment 3 Vincenzo Pupillo 2013-07-27 04:15:12 EDT
Created attachment 779010 [details]
File: core_backtrace
Comment 4 Vincenzo Pupillo 2013-07-27 04:15:17 EDT
Created attachment 779011 [details]
File: dso_list
Comment 5 Vincenzo Pupillo 2013-07-27 04:15:21 EDT
Created attachment 779012 [details]
File: environ
Comment 6 Vincenzo Pupillo 2013-07-27 04:15:24 EDT
Created attachment 779013 [details]
File: limits
Comment 7 Vincenzo Pupillo 2013-07-27 04:15:29 EDT
Created attachment 779014 [details]
File: maps
Comment 8 Vincenzo Pupillo 2013-07-27 04:15:33 EDT
Created attachment 779015 [details]
File: open_fds
Comment 9 Vincenzo Pupillo 2013-07-27 04:15:37 EDT
Created attachment 779016 [details]
File: proc_pid_status
Comment 10 Vincenzo Pupillo 2013-07-27 04:15:41 EDT
Created attachment 779017 [details]
File: var_log_messages
Comment 11 Vincenzo Pupillo 2013-07-27 04:52:24 EDT
I use KDE and after login, KDE notify me a problem in kcminit.
Comment 12 Vincenzo Pupillo 2013-07-30 13:33:58 EDT
I use vanilla kernel  with nvidia binary driver.
Comment 13 Vincenzo Pupillo 2013-08-06 11:16:00 EDT
Ok the crash occur only when the nvidia binary driver option (environment variable)  __GL_THREADED_OPTIMIZATIONS is set to 1.

Note You need to log in before you can comment on or make changes to this bug.